<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php'); 
$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
if($action == 'ajax'){
    $q = mysqli_real_escape_string($con,(strip_tags($_REQUEST['q'], ENT_QUOTES)));
    $vendedor = mysqli_real_escape_string($con,(strip_tags($_REQUEST['vende'], ENT_QUOTES)));
    $estado = mysqli_real_escape_string($con,(strip_tags($_REQUEST['estado'], ENT_QUOTES)));
    include '../include/pagination.php'; //include pagination file
    $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
    $per_page = 20; 
    $adjacents  = 4; 
    $offset = ($page - 1) * $per_page;
    if($vendedor==0)
    {
        $count_query=mysqli_query($con,"SELECT count(*) AS numrows FROM cotizacion where (cot_nombre like '%$q%' OR cot_n_cotizacion like '%$q%' OR cot_nombre like '%$q%') and sucursal='$sucursal' and empresa='$empresa' and cot_estado='$estado' ");
        $row= mysqli_fetch_array($count_query);
        $numrows = $row['numrows'];
        $total_pages = ceil($numrows/$per_page);
        $reload = './V_cotizaciones.php';
        $sql="SELECT * FROM cotizacion where sucursal='$sucursal' and empresa='$empresa' and cot_estado='$estado' and (cot_nombre like '%$q%' OR cot_n_cotizacion like '%$q%' OR cot_nombre like '%$q%') order by cot_id desc LIMIT $offset,$per_page";
        $query = mysqli_query($con, $sql);
    }
    else
    {
        $count_query=mysqli_query($con,"SELECT count(*) AS numrows FROM cotizacion where (cot_nombre like '%$q%' OR cot_n_cotizacion like '%$q%' OR cot_nombre like '%$q%') and vendedor='$vendedor' and sucursal='$sucursal' and empresa='$empresa' and cot_estado='$estado' ");
        $row= mysqli_fetch_array($count_query);
        $numrows = $row['numrows'];
        $total_pages = ceil($numrows/$per_page);
        $reload = './V_cotizaciones.php';
        $sql="SELECT * FROM cotizacion where vendedor='$vendedor' and sucursal='$sucursal' and empresa='$empresa' and cot_estado='$estado' and (cot_nombre like '%$q%' OR cot_n_cotizacion like '%$q%' OR cot_nombre like '%$q%') order by cot_id desc LIMIT $offset,$per_page";
        $query = mysqli_query($con, $sql);
    }
    if ($numrows>0){
?>
<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th width="5%">Nº</th>
            <th width="10%">FECHA</th>
            <th>CLIENTE</th>
            <th>CONTACTOS</th>
            <th width="5%">ESTADO</th>
            <th width="10%">TOTAL</th>
            <th >VENDEDOR</th>
            <th width="3%"></th>
        </tr>
    </thead>
    <tbody  class="buscar">
    <?php 
        while ($reg=mysqli_fetch_array($query))
        {
            $cot_id=$reg['cot_id'];
            $cliente_id=$reg['cliente_id'];
            $cot_correo= $reg['cot_correo'];

            $sqlcl=mysqli_query($con, "SELECT * from cliente where clie_id='$cliente_id'");
            $rowcl=mysqli_fetch_array($sqlcl);

            $descuentof=0;
            $descuento=0;
            $neto=0;
            $sumador_total=0;
            $iva_total=0;
            $sumador_total=0;
            $total=0;
            $sql=mysqli_query($con, "SELECT * from cotizacion_detalle where cotizacion_cot_id='$cot_id'");
            while ($row=mysqli_fetch_array($sql))
            {
                $id=$row["cotd_id"];
                $cotd_id=$row["cotd_id"];
                $cotd_referencia=$row['cotd_referencia'];
                $cotd_nombre=$row['cotd_nombre'];
                $cotd_cantidad=$row['cotd_cantidad'];
                $cotd_precio=$row['cotd_precio'];
                $cotd_iva=$row['cotd_iva'];
                $cotd_desc=$row['cotd_desc'];
             
                $ivaf=$cotd_iva/100;
                $precio_total=$cotd_precio*$cotd_cantidad;
                $sumador_total+=$precio_total;//Sumador
                $descuento=($cotd_desc/100)*$precio_total;
                $descuentof+=$descuento;

                $iva=$cotd_precio*$ivaf;
                $ivat=$iva*$cotd_cantidad;
                $sin_iva=($cotd_precio-$iva);
                $sin_ivat=($cotd_precio-$iva)*$cotd_cantidad;
                $iva_total+=$ivat;
                $neto+=$precio_total;
                $total=$sumador_total-$descuentof;
            }

            $sumador_combo=0;
            $sql=mysqli_query($con, "SELECT * from cotizacion_detalle_combo where cot_id='$cot_id'");
            while ($row=mysqli_fetch_array($sql))
            {
                $combo_cantidad=$row["combo_cantidad"];
                $combo_precio=$row["combo_precio"];
                $subtotal=$combo_cantidad*$combo_precio;
                $sumador_combo+=$subtotal;
            }
    ?>
        <tr>
            <td><?php echo $reg['cot_n_cotizacion']; ?></td>
            <td><?php echo $reg['cot_fecha']; ?> / <?php echo $reg['cot_hora'];?></td>
            <td><?php echo mb_strtoupper($reg['cot_nombre']); 
                if($rowcl['facturador']=='si')
                {
                    echo $facturador= '<i class="btn-icon-only fa fa-desktop alert-danger" aria-hidden="true"></i>';
                }
                ?>
            </td>
            <td><strong><?php echo $reg['cot_correo']; ?></strong><p><?php echo $reg['cot_telefono'];?></p></td>
            <td>
            <?php
                if($reg['cot_estado']=="Pendiente")
                {
                    echo  $estados='<span class="badgenaranja" title="">Pendiente</span>';
                }
                else if($reg['cot_estado']=="Confirmado")
                {
                    echo  $estados='<span class="badgeamarillo" title=""></i>Confirmado</span>';
                }
                 else if($reg['cot_estado']=="En Proceso")
                {
                    echo  $estados='<span class="badgegris" title="">En Proceso</span>';
                }
                 else if($reg['cot_estado']=="Procesado")
                {
                    echo  $estados='<span class="badgeverde" title=""></i>Procesado</span>';
                }
                 else if($reg['cot_estado']=="Facturado")
                {
                    echo  $estados='<span class="badgeazul" title="">Facturado</span>';
                }
                else if($reg['cot_estado']=="Enviado")
                {
                    echo  $estados='<span class="badgevioleta" title="">Enviado</span>';
                }
            ?>
            </td>
            <td><p class="pull-right"><?php echo number_format($total+$sumador_combo,0);?></p></td>
            <td></td>
            <td>
                <a href="#verdetalle<?php echo $reg['cot_id']; ?>" class='btn btn-xs btn-info' title='Detalles' data-toggle="modal" ><i class="btn-icon-only icon-eye-open"></i></a>
                <?php include ('form_detalle.php'); ?>
            </td>
        </tr>
        <?php }?>
        <tr>
            <td colspan=8>
                <span class="pull-right"> 
                    <?php echo paginate($reload, $page, $total_pages, $adjacents); ?>
                </span>
            </td>
        </tr>
    </table>
<?php } } ?>
 <script>
    function eliminar (id)
    {
        var q= $("#q").val();
        if (confirm("Realmente deseas eliminar la Cotización")){ 
        $.ajax({
            type: "GET",
            url: "php_cotizaciones/eliminar_cotizacion.php",
            data: "id="+id,"q":q,
        beforeSend: function(objeto){
             $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
          },
        success: function(datos){
        $("#resultados").html(datos);
        load(1);
        }
        });
        }
    }
</script>